var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Instance from './instance.js';
import BScroll from 'better-scroll';

var PDFView = (_temp = _class = function (_Component) {
  _inherits(PDFView, _Component);

  function PDFView(props) {
    _classCallCheck(this, PDFView);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props));

    _this.instance = function () {
      if (!_this.props.src) return;
      var bscroll = null;
      var instance = new Instance(_this.$el, {
        source: _this.props.src,
        onLoad: function onLoad() {
          bscroll = new BScroll('.pdf-container', {
            scrollX: true,
            zoom: {
              start: 1,
              min: 1,
              max: 4
            }
          });
        }
      });
      _this.bscroll = bscroll;
      _this.instance = instance;
    };

    return _this;
  }

  PDFView.prototype.componentDidUpdate = function componentDidUpdate(prevProps) {
    if (this.props.src && this.props.src !== prevProps.src) {
      if (!this.instance) {
        this.instance();
      } else {
        this.instance.update();
      }
    }
  };

  PDFView.prototype.componentDidMount = function componentDidMount() {
    this.instance();
  };

  PDFView.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        src = _props.src,
        others = _objectWithoutProperties(_props, ['src']);

    if (!src) {
      return null;
    }
    return React.createElement(
      'div',
      _extends({ className: 'pdf-container' }, others, { ref: function ref(el) {
          _this2.$el = el;
        } }),
      React.createElement('div', { className: 'pdf-wrapper' })
    );
  };

  return PDFView;
}(Component), _class.defaultProps = {}, _temp);
export { PDFView as default };
PDFView.propTypes = process.env.NODE_ENV !== "production" ? {
  src: PropTypes.string
} : {};