'use strict';

exports.__esModule = true;
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _instance = require('./instance.js');

var _instance2 = _interopRequireDefault(_instance);

var _betterScroll = require('better-scroll');

var _betterScroll2 = _interopRequireDefault(_betterScroll);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PDFView = (_temp = _class = function (_Component) {
  _inherits(PDFView, _Component);

  function PDFView(props) {
    _classCallCheck(this, PDFView);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props));

    _this.instance = function () {
      if (!_this.props.src) return;
      var bscroll = null;
      var instance = new _instance2.default(_this.$el, {
        source: _this.props.src,
        onLoad: function onLoad() {
          bscroll = new _betterScroll2.default('.pdf-container', {
            scrollX: true,
            zoom: {
              start: 1,
              min: 1,
              max: 4
            }
          });
        }
      });
      _this.bscroll = bscroll;
      _this.instance = instance;
    };

    return _this;
  }

  PDFView.prototype.componentDidUpdate = function componentDidUpdate(prevProps) {
    if (this.props.src && this.props.src !== prevProps.src) {
      if (!this.instance) {
        this.instance();
      } else {
        this.instance.update();
      }
    }
  };

  PDFView.prototype.componentDidMount = function componentDidMount() {
    this.instance();
  };

  PDFView.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        src = _props.src,
        others = _objectWithoutProperties(_props, ['src']);

    if (!src) {
      return null;
    }
    return _react2.default.createElement(
      'div',
      _extends({ className: 'pdf-container' }, others, { ref: function ref(el) {
          _this2.$el = el;
        } }),
      _react2.default.createElement('div', { className: 'pdf-wrapper' })
    );
  };

  return PDFView;
}(_react.Component), _class.defaultProps = {}, _temp);
exports.default = PDFView;
PDFView.propTypes = process.env.NODE_ENV !== "production" ? {
  src: _propTypes2.default.string
} : {};
module.exports = exports['default'];